Gecode::TraceFilter Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation

Trace filters. More...

`#include <filter.hpp>`

## Classes

class | TFO
| The actual object storing the shared filters. More...

## Public Member Functions

| TraceFilter (void)
| Initialize without any filter.
| TraceFilter (const TFE &e)
| Initialize with trace filter expression e.
| TraceFilter (PropagatorGroup g)
| Initialize with propagator group g.
| TraceFilter (BrancherGroup g)
| Initialize with brancher group g.
| TraceFilter (const TraceFilter &tf)
| Copy constructor.
TraceFilter & | operator= (const TraceFilter &tf)
| Assignment operator.
bool | operator() (const ViewTraceInfo &vti) const
| Check whether filter is true for view trace information vti.
bool | operator() (PropagatorGroup pg) const
| Check whether filter is true for propagator group pg.
bool | operator() (BrancherGroup bg) const
| Check whether filter is true for brancher group bg.
Public Member Functions inherited from Gecode::SharedHandle
| SharedHandle (void)
| Create shared handle with no object pointing to.
| SharedHandle (SharedHandle::Object *so)
| Create shared handle that points to shared object so.
| SharedHandle (const SharedHandle &sh)
| Copy constructor maintaining reference count.
SharedHandle & | operator= (const SharedHandle &sh)
| Assignment operator maintaining reference count.
| ~SharedHandle (void)
| Destructor that maintains reference count.
| operator bool (void) const
| Whether handle points to an object.

## Static Public Attributes

static TraceFilter | all
| Default filter: without any filter.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::SharedHandle
SharedHandle::Object * | object (void) const
| Access to the shared object.
void | object (SharedHandle::Object *n)
| Modify shared object.

## Detailed Description

Trace filters.

Definition at line 133 of file filter.hpp.

## Constructor & Destructor Documentation

## TraceFilter() [1/5]

Gecode::TraceFilter::TraceFilter | ( | void |  | ) |

Initialize without any filter.

Definition at line 187 of file filter.cpp.

## TraceFilter() [2/5]

Gecode::TraceFilter::TraceFilter | ( | const TFE & | e | ) |

Initialize with trace filter expression e.

Definition at line 189 of file filter.cpp.

## TraceFilter() [3/5]

Gecode::TraceFilter::TraceFilter | ( | PropagatorGroup | g | ) |

Initialize with propagator group g.

Definition at line 191 of file filter.cpp.

## TraceFilter() [4/5]

Gecode::TraceFilter::TraceFilter | ( | BrancherGroup | g | ) |

Initialize with brancher group g.

Definition at line 193 of file filter.cpp.

## TraceFilter() [5/5]

Gecode::TraceFilter::TraceFilter | ( | const TraceFilter & | tf | ) |

Copy constructor.

Definition at line 195 of file filter.cpp.

## Member Function Documentation

## operator=()

TraceFilter & Gecode::TraceFilter::operator= | ( | const TraceFilter & | tf | ) |

Assignment operator.

Definition at line 198 of file filter.cpp.

## operator()() [1/3]

bool Gecode::TraceFilter::operator() | ( | const ViewTraceInfo & | vti | ) | const

inline

Check whether filter is true for view trace information vti.

Definition at line 299 of file filter.hpp.

## operator()() [2/3]

bool Gecode::TraceFilter::operator() | ( | PropagatorGroup | pg | ) | const

inline

Check whether filter is true for propagator group pg.

Definition at line 315 of file filter.hpp.

## operator()() [3/3]

bool Gecode::TraceFilter::operator() | ( | BrancherGroup | bg | ) | const

inline

Check whether filter is true for brancher group bg.

Definition at line 331 of file filter.hpp.

## Member Data Documentation

## all

TraceFilter Gecode::TraceFilter::all

static

Default filter: without any filter.

Definition at line 210 of file filter.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/filter.hpp
- gecode/kernel/trace/filter.cpp